--prefer-source fails to download packages only avail as dist "LogicException: ZipDownloader can not be used to download source" #2227

Closed
tristanlins opened this Issue Sep 2, 2013 · 3 comments

Projects

None yet

3 participants

@tristanlins
Contributor

If I set "preferred-install": "source" and then try to install a package, that is only available via dist archives, I got this error. Setting preferred-install to dist or auto solve this problem, but the exception message is creepy O.o
Does anyone know of this problem?

@tristanlins tristanlins referenced this issue in contao-community-alliance/composer-client Sep 2, 2013
Closed

LogicException: ZipDownloader can not be used to download source #99

@psren
psren commented Nov 25, 2013

Any progress?

@sndpl
Contributor
sndpl commented Feb 20, 2014

@tristanlins do you have an example composer.json to reproduce this problem?

@tristanlins
Contributor

This problem seems to be gone away :-)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment